Index: trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4AtomicDeexcitation.cc	(revision 1055)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AtomicDeexcitation.cc,v 1.11 
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // Authors: Elena Guardincerri (Elena.Guardincerri@ge.infn.it)
@@ -111,5 +111,5 @@
     }
   
-  // Look this in a particular way: only one auger emitted! //
+  // Look this in a particular way: only one auger emitted! // ????
   while (provShellId > -2); 
   
@@ -297,6 +297,6 @@
 //  	      G4cout << "G4AtomicDeexcitation warning: No Auger transition found" <<  G4endl;
 // 	      G4cout << "Absorbed enrgy deposited locally" << G4endl;
- 	      return 0;
-// 	      //  G4Exception("G4AtomicDeexcitation: No Auger transition found");
+ 	      G4Exception("G4AtomicDeexcitation: No Auger transition found");
+	      return 0;
  	    }
 	}
@@ -394,6 +394,8 @@
       // G4int augerOriginatingShellId = 0;
       
-      G4int numberOfPossibleAuger = 
-	  (anAugerTransition->AugerTransitionProbabilities(transitionRandomShellId))->size();
+      G4int numberOfPossibleAuger = 0;
+      numberOfPossibleAuger = anAugerTransition->AugerTransitionProbabilities(transitionRandomShellId)->size();
+
+
       G4bool foundFlag = false;
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4AugerData.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4AugerData.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4AugerData.cc	(revision 1055)
@@ -486,5 +486,5 @@
       //	G4cout << "G4AugerData for Element no. " << element << " are loaded" << G4endl;
       // G4cout << "G4AugerData for Element no. " << element << " are loaded" << G4endl;
-      G4cout << "AugerTransitionTable complete"<< G4endl;
+      //G4cout << "AugerTransitionTable complete"<< G4endl;
     }
 }
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4BremsstrahlungCrossSectionHandler.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4BremsstrahlungCrossSectionHandler.cc,v 1.9 2006/06/29 19:38:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4BremsstrahlungCrossSectionHandler.cc,v 1.10 2009/03/03 11:19:18 pandola Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 // -------------------------------------------------------------------
@@ -41,4 +41,6 @@
 // 10.10.2001 MGP Revision to improve code quality and consistency with design
 // 21.01.2003 VI  cut per region
+// 03.03.2009 LP  Added public method to make a easier migration of
+//                G4LowEnergyBremsstrahlung to G4LivermoreBremsstrahlungModel
 //
 // -------------------------------------------------------------------
@@ -55,4 +57,6 @@
 #include "G4ProductionCutsTable.hh"
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
+
 G4BremsstrahlungCrossSectionHandler::G4BremsstrahlungCrossSectionHandler(const G4VEnergySpectrum* spec,
 									 G4VDataSetAlgorithm* )
@@ -62,4 +66,5 @@
 }
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 G4BremsstrahlungCrossSectionHandler::~G4BremsstrahlungCrossSectionHandler()
@@ -68,4 +73,5 @@
 }
 
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
 std::vector<G4VEMDataSet*>*
@@ -127,2 +133,18 @@
   return set;
 }
+
+//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
+
+G4double G4BremsstrahlungCrossSectionHandler::GetCrossSectionAboveThresholdForElement(G4double energy,
+										      G4double cutEnergy,
+										      G4int Z)
+{
+  G4double value = 0.;
+  if(energy > cutEnergy)
+    {
+      G4double elemCs = FindValue(Z, energy);
+      value  = theBR->Probability(Z,cutEnergy, energy, energy);	  
+      value *= elemCs;
+    }
+  return value;
+}
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeDecrease.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionChargeDecrease.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionChargeDecrease.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionChargeDecrease.hh"
@@ -79,4 +79,13 @@
   }
 
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionChargeDecrease is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionChargeIncrease.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionChargeIncrease.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionChargeIncrease.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionChargeIncrease.hh"
@@ -79,4 +79,13 @@
   }
 
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionChargeIncrease is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticChampion.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionElasticChampion.cc,v 1.4 2008/12/05 11:58:16 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionElasticChampion.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // -------------------------------------------------------------------
 
@@ -57,4 +57,14 @@
     G4Exception("G4CrossSectionElasticChampion constructor: electron is not defined");
   }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionElasticChampion is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordHE.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionElasticScreenedRutherfordHE.cc,v 1.2 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionElasticScreenedRutherfordHE.cc,v 1.3 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionElasticScreenedRutherfordHE.hh"
@@ -35,4 +35,14 @@
   lowEnergyLimit = 200. * eV; 
   highEnergyLimit = 10. * MeV;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionElasticScreenedRutherfordHE is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionElasticScreenedRutherfordLE.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionElasticScreenedRutherfordLE.cc,v 1.2 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionElasticScreenedRutherfordLE.cc,v 1.3 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionElasticScreenedRutherfordLE.hh"
@@ -35,4 +35,14 @@
   lowEnergyLimit = 0 * eV; 
   highEnergyLimit = 200 * eV;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionElasticScreenedRutherfordLE is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationBorn.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionExcitationBorn.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionExcitationBorn.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionExcitationBorn.hh"
@@ -36,4 +36,14 @@
   highEnergyLimit = 10 * MeV;
   table = 0;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionExcitationBorn is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationEmfietzoglou.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionExcitationEmfietzoglou.cc,v 1.5 2008/12/05 11:58:16 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionExcitationEmfietzoglou.cc,v 1.6 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionExcitationEmfietzoglou.hh"
@@ -35,4 +35,14 @@
   lowEnergyLimit = 8.23 * eV;
   highEnergyLimit = 10. * MeV;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionExcitationEmfietzoglou is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreen.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionExcitationMillerGreen.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionExcitationMillerGreen.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionExcitationMillerGreen.hh"
@@ -92,4 +92,14 @@
   }
     
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionExcitationMillerGreen is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionExcitationMillerGreenPartial.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionExcitationMillerGreenPartial.cc,v 1.2 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionExcitationMillerGreenPartial.cc,v 1.3 2009/01/20 07:40:53 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionExcitationMillerGreenPartial.hh"
@@ -115,4 +115,8 @@
   tCorrected = k * kineticEnergyCorrection[particleTypeIndex];
 
+  // SI - added protection 
+  if (tCorrected < waterExcitation.ExcitationEnergy(excitationLevel)) return 0;
+  //
+  
   G4int z = 10;
 
@@ -158,5 +162,7 @@
   // ELECTRON CORRECTION
  
-  if ( particle == instance->GetIon("alpha++"))
+  if ( particle == instance->GetIon("alpha++")||
+       particle == G4Proton::ProtonDefinition())
+       
   {  while (i > 0)
      {
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBorn.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionIonisationBorn.cc,v 1.4 2008/08/20 14:51:48 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionIonisationBorn.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionIonisationBorn.hh"
@@ -82,4 +82,14 @@
     G4Exception("G4CrossSectionIonisationBorn Constructor: proton is not defined");
   }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionIonisationBorn is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationBornPartial.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionIonisationBornPartial.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionIonisationBornPartial.cc,v 1.5 2009/01/20 07:40:53 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionIonisationBornPartial.hh"
@@ -33,5 +33,5 @@
 G4CrossSectionIonisationBornPartial::G4CrossSectionIonisationBornPartial()
 {
-  lowEnergyLimitDefault = 25 * eV;
+  lowEnergyLimitDefault = 12.61 * eV;
   highEnergyLimitDefault = 30 * keV;
 
@@ -52,5 +52,5 @@
     tableFile[electron] = fileElectron;
 
-    lowEnergyLimit[electron] = 25. * eV;
+    lowEnergyLimit[electron] = 12.61 * eV;
     highEnergyLimit[electron] = 30. * keV;
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4CrossSectionIonisationRudd.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4CrossSectionIonisationRudd.cc,v 1.4 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4CrossSectionIonisationRudd.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4CrossSectionIonisationRudd.hh"
@@ -154,4 +154,15 @@
     G4Exception("G4CrossSectionIonisationRudd Constructor: helium is not defined");
   }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4CrossSectionIonisationRudd is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
+
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeDecrease.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4FinalStateChargeDecrease.cc,v 1.3 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4FinalStateChargeDecrease.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4FinalStateChargeDecrease.hh"
@@ -35,4 +35,14 @@
   lowEnergyLimit = 1 * keV;
   highEnergyLimit = 10 * MeV;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4FinalStateChargeDecrease is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
@@ -70,7 +80,11 @@
   }
   
+  //SI - Added protection against total energy deposit
+  product.DoNotDepositEnergy();
+  //
   product.KillPrimaryParticle();
+
   product.AddEnergyDeposit(waterBindingEnergy);
-  
+
   G4DynamicParticle* aSecondary = new G4DynamicParticle(OutgoingParticleDefinition(definition, finalStateIndex), 
 							track.GetDynamicParticle()->GetMomentumDirection(), 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateChargeIncrease.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4FinalStateChargeIncrease.cc,v 1.3 2008/07/14 20:47:34 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4FinalStateChargeIncrease.cc,v 1.5 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4FinalStateChargeIncrease.hh"
@@ -35,4 +35,14 @@
   lowEnergyLimit = 1 * keV;
   highEnergyLimit = 10 * MeV;
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class 4FinalStateChargeIncrease is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
@@ -48,6 +58,10 @@
   product.Clear();
 
+  //SI - Added protection against total energy deposit
+  product.DoNotDepositEnergy();
+  //
   product.KillPrimaryParticle();
   product.AddEnergyDeposit(0.);
+
   G4ParticleDefinition* definition = track.GetDefinition();
  
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticBrennerZaider.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4FinalStateElasticBrennerZaider.cc,v 1.8 2008/12/05 11:58:16 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4FinalStateElasticBrennerZaider.cc,v 1.9 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 
 #include "G4FinalStateElasticBrennerZaider.hh"
@@ -64,4 +64,14 @@
   gamma100_200Coeff.push_back(-2.96264E-5);
   gamma100_200Coeff.push_back(-1.20655E-7);
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4FinalStateElasticBrennerZaider is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
Index: trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc
===================================================================
--- trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc	(revision 1013)
+++ trunk/source/processes/electromagnetic/lowenergy/src/G4FinalStateElasticChampion.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4FinalStateElasticChampion.cc,v 1.7 2008/12/10 18:25:28 sincerti Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4FinalStateElasticChampion.cc,v 1.8 2009/05/02 15:07:47 sincerti Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 // -------------------------------------------------------------------
 
@@ -84,4 +84,14 @@
       G4Exception("G4FinalStateElastiChampion : constructor: electron is not defined");
   }
+
+   G4cout << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "   The class G4FinalStateElastiChampion is NOT SUPPORTED ANYMORE. " << G4endl;
+   G4cout << "   It will be REMOVED with the next major release of Geant4. " << G4endl;
+   G4cout << "   Please consult: https://twiki.cern.ch/twiki/bin/view/Geant4/LoweProcesses" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << "*******************************************************************************" << G4endl;
+   G4cout << G4endl;
 }
 
